---
lang: en
title: 'API docs: rest.restcomponent'
keywords: LoopBack 4.0, LoopBack 4, Node.js, TypeScript, OpenAPI
sidebar: lb4_sidebar
editurl: https://github.com/strongloop/loopback-next/tree/master/packages/rest
permalink: /doc/en/lb4/apidocs.rest.restcomponent.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/rest](./rest.md) &gt; [RestComponent](./rest.restcomponent.md)

## RestComponent class

<b>Signature:</b>

```typescript
export declare class RestComponent implements Component 
```
<b>Implements:</b> [Component](./core.component.md)

## Constructors

|  Constructor | Modifiers | Description |
|  --- | --- | --- |
|  [(constructor)(app, config)](./rest.restcomponent._constructor_.md) |  | Constructs a new instance of the <code>RestComponent</code> class |

## Properties

|  Property | Modifiers | Type | Description |
|  --- | --- | --- | --- |
|  [bindings](./rest.restcomponent.bindings.md) |  | [Binding](./context.binding.md)<!-- -->\[\] | Add built-in body parsers |
|  [providers](./rest.restcomponent.providers.md) |  | [ProviderMap](./core.providermap.md) |  |
|  [servers](./rest.restcomponent.servers.md) |  | { \[name: string\]: [Constructor](./context.constructor.md)<!-- -->&lt;[Server](./core.server.md)<!-- -->&gt;; } |  |


